Bug 440292 - Hard Drives do not display in hwbrowser
Hard Drives do not display in hwbrowser
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 13:26 EDT by Clyde E. Kunkel
Modified: 2014-03-16 23:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 10:34:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clyde E. Kunkel 2008-04-02 13:26:37 EDT
Description of problem:
Selecting hard drives only leads to blank display areas.

Version-Release number of selected component (if applicable):
hwbrowser-0.41-1.fc9.noarch

How reproducible:
every time

Steps to Reproduce:
1. select hardware from menu
2. select Hard Drives from hwbrowser left panel
3.
  
Actual results:
blank right panels in hwbrowser

Expected results:
graphical and fdisk like representation of all hard drivers on system in right
panels

Additional info:
working in Fedora 8
Comment 1 Nils Philippsen 2008-04-18 10:25:40 EDT
I've dug a bit around and found that there are changes in /sys which make kudzu
not identify the device name are likely to be the culprit. I'm changing the
component to kudzu.

Some details:

Up to Fedora 8 (kernel 2.6.24.4-64.fc8 FWIW), SCSI block devices have symlinks
like /sys/bus/scsi/devices/0:0:0:0/block:sda which get used by
__getSysfsDevice() to identify the device file (e.g. /dev/sda).

Rawhide/F9 kernels (2.6.25-0.234.rc9.git1.fc9.x86_64 over here) don't have these
symlinks, these kernels do have /sys/bus/scsi/devices/0:0:0:0/block/sda which
could be used to identify the name though -- i.e. __getSysfsDevice() won't find
the related device file name without changes in kudzu.
Comment 2 Bill Nottingham 2008-04-18 10:34:12 EDT
This is why kudzu is deprecated and should not be used any more...

Note You need to log in before you can comment on or make changes to this bug.